//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Tecan.Sila2.Generator.Test.TestReference
{
    
    
    [Tecan.Sila2.SilaFeatureAttribute(true, "ambiguityresolver")]
    [Tecan.Sila2.SilaIdentifierAttribute("AmbiguityResolverService")]
    [Tecan.Sila2.SilaDisplayNameAttribute("Ambiguity Resolver Service")]
    public partial interface IAmbiguityResolverService
    {
        
        [Tecan.Sila2.ObservableAttribute()]
        [return: Tecan.Sila2.SilaIdentifierAttribute("ReturnValue")]
        Tecan.Sila2.IObservableCommand<AmbiguousClass> CheckAmbiguousEntries();
        
        void OverloadedMethod(string method);
    }
    
    /// <summary>
    /// Describes a class which has ambiguous parameter
    /// </summary>
    public struct AmbiguousClass
    {
        
        private string _message;
        
        private string _ambiguousChannel;
        
        /// <summary>
        /// Initializes a new instance
        /// </summary>
        public AmbiguousClass(string message, string ambiguousChannel)
        {
            _message = message;
            _ambiguousChannel = ambiguousChannel;
        }
        
        public string Message
        {
            get
            {
                return _message;
            }
        }
        
        public string AmbiguousChannel
        {
            get
            {
                return _ambiguousChannel;
            }
        }
    }
}
